Patch Agent
Update metadata fields on the singleton agent.
Empty body short-circuits with no DB write and no reload. Any non-empty mutation flows through the 3-round reload pipeline.
PATCH
/
admin
/
api
/
v1
/
agent
Patch Agent
curl --request PATCH \
--url https://api.example.com/admin/api/v1/agent \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"version": "<string>",
"baseUrl": "<string>"
}
'import requests
url = "https://api.example.com/admin/api/v1/agent"
payload = {
"name": "<string>",
"description": "<string>",
"version": "<string>",
"baseUrl": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
version: '<string>',
baseUrl: '<string>'
})
};
fetch('https://api.example.com/admin/api/v1/agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/v1/agent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'version' => '<string>',
'baseUrl' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/v1/agent"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"version\": \"<string>\",\n \"baseUrl\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/admin/api/v1/agent")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"version\": \"<string>\",\n \"baseUrl\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/v1/agent")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"version\": \"<string>\",\n \"baseUrl\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"baseEngineConfig": {
"agent": {
"type": "LANGGRAPH",
"config": {
"name": "<string>",
"graph_definition": "<string>",
"observability": {
"provider": "<string>",
"enabled": false,
"options": {}
},
"checkpointer": {
"type": "sqlite",
"db_url": "<string>"
},
"store": {}
}
},
"server": {
"api": {
"port": 8000
}
},
"mcpServers": [
{
"name": "<string>",
"transport": "streamable_http",
"url": "<string>",
"command": "<string>",
"args": [
"<string>"
],
"headers": {},
"env": {},
"cwd": "<string>",
"encoding": "<string>",
"encodingErrorHandler": "strict",
"timeoutSeconds": 123,
"sseReadTimeoutSeconds": 123,
"terminateOnClose": true,
"sessionKwargs": {}
}
],
"guardrails": {
"input": [
{
"banned_words": [
"<string>"
],
"config_id": "ban_list",
"api_key": "",
"reject_message": "ban!!",
"guard_url": "hub://guardrails/ban_list"
}
],
"output": [
{
"banned_words": [
"<string>"
],
"config_id": "ban_list",
"api_key": "",
"reject_message": "ban!!",
"guard_url": "hub://guardrails/ban_list"
}
]
},
"observability": [
{
"config": {
"provider": "LANGFUSE",
"host": "https://cloud.langfuse.com",
"publicKey": "",
"secretKey": "",
"runName": ""
},
"provider": "LANGFUSE",
"enabled": true
}
],
"sso": {
"issuer": "<string>",
"clientId": "<string>",
"enabled": true,
"audience": "<string>",
"allowedDomains": [
"<string>"
],
"allowedEmails": [
"<string>"
]
},
"integrations": [
{
"provider": "WHATSAPP",
"config": {
"accessToken": "<string>",
"phoneNumberId": "<string>",
"verifyToken": "<string>",
"apiVersion": "v21.0"
},
"enabled": true
}
],
"prompts": [
{
"promptId": "<string>",
"version": 123,
"content": "<string>",
"tags": [
"<string>"
]
}
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"slug": "<string>",
"description": "<string>",
"version": "<string>",
"baseUrl": "<string>"
},
"reload": {
"status": "reloaded",
"message": "<string>",
"error": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Body
application/json
Body for PATCH /admin/api/v1/agent.
All fields are optional in the wire payload. Sending null on a
required underlying column (name) is rejected at validation
time, since clearing those is meaningless for the singleton.
Response
Successful Response
Reload outcome attached to every admin mutation response.
reloaded means DB committed and runtime now uses the new config.
restart_required means DB committed and process restart is needed.
reload_failed means DB rolled back and runtime is unchanged.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Patch Agent
curl --request PATCH \
--url https://api.example.com/admin/api/v1/agent \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"version": "<string>",
"baseUrl": "<string>"
}
'import requests
url = "https://api.example.com/admin/api/v1/agent"
payload = {
"name": "<string>",
"description": "<string>",
"version": "<string>",
"baseUrl": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
version: '<string>',
baseUrl: '<string>'
})
};
fetch('https://api.example.com/admin/api/v1/agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/v1/agent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'version' => '<string>',
'baseUrl' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/v1/agent"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"version\": \"<string>\",\n \"baseUrl\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/admin/api/v1/agent")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"version\": \"<string>\",\n \"baseUrl\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/v1/agent")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"version\": \"<string>\",\n \"baseUrl\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"baseEngineConfig": {
"agent": {
"type": "LANGGRAPH",
"config": {
"name": "<string>",
"graph_definition": "<string>",
"observability": {
"provider": "<string>",
"enabled": false,
"options": {}
},
"checkpointer": {
"type": "sqlite",
"db_url": "<string>"
},
"store": {}
}
},
"server": {
"api": {
"port": 8000
}
},
"mcpServers": [
{
"name": "<string>",
"transport": "streamable_http",
"url": "<string>",
"command": "<string>",
"args": [
"<string>"
],
"headers": {},
"env": {},
"cwd": "<string>",
"encoding": "<string>",
"encodingErrorHandler": "strict",
"timeoutSeconds": 123,
"sseReadTimeoutSeconds": 123,
"terminateOnClose": true,
"sessionKwargs": {}
}
],
"guardrails": {
"input": [
{
"banned_words": [
"<string>"
],
"config_id": "ban_list",
"api_key": "",
"reject_message": "ban!!",
"guard_url": "hub://guardrails/ban_list"
}
],
"output": [
{
"banned_words": [
"<string>"
],
"config_id": "ban_list",
"api_key": "",
"reject_message": "ban!!",
"guard_url": "hub://guardrails/ban_list"
}
]
},
"observability": [
{
"config": {
"provider": "LANGFUSE",
"host": "https://cloud.langfuse.com",
"publicKey": "",
"secretKey": "",
"runName": ""
},
"provider": "LANGFUSE",
"enabled": true
}
],
"sso": {
"issuer": "<string>",
"clientId": "<string>",
"enabled": true,
"audience": "<string>",
"allowedDomains": [
"<string>"
],
"allowedEmails": [
"<string>"
]
},
"integrations": [
{
"provider": "WHATSAPP",
"config": {
"accessToken": "<string>",
"phoneNumberId": "<string>",
"verifyToken": "<string>",
"apiVersion": "v21.0"
},
"enabled": true
}
],
"prompts": [
{
"promptId": "<string>",
"version": 123,
"content": "<string>",
"tags": [
"<string>"
]
}
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"slug": "<string>",
"description": "<string>",
"version": "<string>",
"baseUrl": "<string>"
},
"reload": {
"status": "reloaded",
"message": "<string>",
"error": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}